package com.casic.dcms.bean;

import java.util.List;

public class CaseHandledBean {

    private double code;
    private DataBean data;
    private String message;
    private boolean success;

    public double getCode() {
        return code;
    }

    public void setCode(double code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {

        private double total;
        private List<RowsBean> rows;

        public double getTotal() {
            return total;
        }

        public void setTotal(double total) {
            this.total = total;
        }

        public List<RowsBean> getRows() {
            return rows;
        }

        public void setRows(List<RowsBean> rows) {
            this.rows = rows;
        }

        public static class RowsBean {

            private String caseStateName;
            private double isPostpone;
            private String lng;
            private String isOvertime;
            private String description;
            private double source;
            private String casetypeDetailCode;
            private String eorcName;
            private String onedeptid;
            private String casetypeDetailName;
            private String remainingTime;
            private String casetypeName;
            private String eorc;
            private String processId;
            private String caseid;
            private double caseState;
            private String casetypeCode;
            private String nodeLimittime;
            private String id;
            private String sourceName;
            private String fieldintro;
            private String lat;
            private String reportTime;
            private String onedeptName;

            public String getCaseStateName() {
                return caseStateName;
            }

            public void setCaseStateName(String caseStateName) {
                this.caseStateName = caseStateName;
            }

            public double getIsPostpone() {
                return isPostpone;
            }

            public void setIsPostpone(double isPostpone) {
                this.isPostpone = isPostpone;
            }

            public String getLng() {
                return lng;
            }

            public void setLng(String lng) {
                this.lng = lng;
            }

            public String getIsOvertime() {
                return isOvertime;
            }

            public void setIsOvertime(String isOvertime) {
                this.isOvertime = isOvertime;
            }

            public String getDescription() {
                return description;
            }

            public void setDescription(String description) {
                this.description = description;
            }

            public double getSource() {
                return source;
            }

            public void setSource(double source) {
                this.source = source;
            }

            public String getCasetypeDetailCode() {
                return casetypeDetailCode;
            }

            public void setCasetypeDetailCode(String casetypeDetailCode) {
                this.casetypeDetailCode = casetypeDetailCode;
            }

            public String getEorcName() {
                return eorcName;
            }

            public void setEorcName(String eorcName) {
                this.eorcName = eorcName;
            }

            public String getOnedeptid() {
                return onedeptid;
            }

            public void setOnedeptid(String onedeptid) {
                this.onedeptid = onedeptid;
            }

            public String getCasetypeDetailName() {
                return casetypeDetailName;
            }

            public void setCasetypeDetailName(String casetypeDetailName) {
                this.casetypeDetailName = casetypeDetailName;
            }

            public String getRemainingTime() {
                return remainingTime;
            }

            public void setRemainingTime(String remainingTime) {
                this.remainingTime = remainingTime;
            }

            public String getCasetypeName() {
                return casetypeName;
            }

            public void setCasetypeName(String casetypeName) {
                this.casetypeName = casetypeName;
            }

            public String getEorc() {
                return eorc;
            }

            public void setEorc(String eorc) {
                this.eorc = eorc;
            }

            public String getProcessId() {
                return processId;
            }

            public void setProcessId(String processId) {
                this.processId = processId;
            }

            public String getCaseid() {
                return caseid;
            }

            public void setCaseid(String caseid) {
                this.caseid = caseid;
            }

            public double getCaseState() {
                return caseState;
            }

            public void setCaseState(double caseState) {
                this.caseState = caseState;
            }

            public String getCasetypeCode() {
                return casetypeCode;
            }

            public void setCasetypeCode(String casetypeCode) {
                this.casetypeCode = casetypeCode;
            }

            public String getNodeLimittime() {
                return nodeLimittime;
            }

            public void setNodeLimittime(String nodeLimittime) {
                this.nodeLimittime = nodeLimittime;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getSourceName() {
                return sourceName;
            }

            public void setSourceName(String sourceName) {
                this.sourceName = sourceName;
            }

            public String getFieldintro() {
                return fieldintro;
            }

            public void setFieldintro(String fieldintro) {
                this.fieldintro = fieldintro;
            }

            public String getLat() {
                return lat;
            }

            public void setLat(String lat) {
                this.lat = lat;
            }

            public String getReportTime() {
                return reportTime;
            }

            public void setReportTime(String reportTime) {
                this.reportTime = reportTime;
            }

            public String getOnedeptName() {
                return onedeptName;
            }

            public void setOnedeptName(String onedeptName) {
                this.onedeptName = onedeptName;
            }
        }
    }
}
